package com.community.huiju.dao;

import com.community.huiju.model.TaSysMenu;
import com.community.huiju.model.TaSysMenuImg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaSysMenuMapper {
	
	List<TaSysMenu> getTaSysMenuListByCommunityId();
	
	int insertTaSysMenu(TaSysMenu taSysMenu);
	
	List<TaSysMenuImg> selectTaSysMenuImgById(@Param("taMenuId") Integer taMenuId);
	
	int batchInsertImg(List<TaSysMenuImg> imgList);
}
